<!DOCTYPE html>
<html   xmlns="http://www.w3.org/1999/xhtml"
        xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8" />
    <title>Catalogue des articles</title>
</head>
<body>

<h1>Liste des articles</h1>
<a href="/creationArticle">Création d'un article</a>
<br/><br/>
<div>
    <table border="1">
        <thead>
            <th>Nom</th>
            <th>Prix</th>
            <th>Actions</th>
        </thead>
        <tbody>
            <tr th:each="article : ${listArticle}">
                <td th:utext="${article.name}">...</td>
                <td th:utext="${article.price}">...</td>
                <td>
                    <a th:href="@{'/detail/' + ${article.name}}">Détail</a>

                    <a th:href="@{'/edit/' + ${article.name}}">Editer</a>

                    <a th:href="@{'/delete/' + ${article.name}}">Supprimer</a>

                    <a th:href="@{'/add/' + ${article.name} + '/'+ ${article.price}}">Ajouter au panier</a>
                    </td>
            </tr>
        </tbody>
    </table>
    <a th:href="@{'/panier/'}">Voir le panier</a>

</div>
</body>
</html>
